SDL_WriteU64BE(3)

NAME
SDL_WriteU64BE - Use this function to write 64 bits in native format to an SDL_IOStream as big-endian data.

SYNOPSIS
#include <SDL3/SDL_iostream.h>

bool SDL_WriteU64BE(SDL_IOStream *dst, Uint64 value);

DESCRIPTION
SDL byteswaps the data only if necessary, so the application always specifies native format, and the data written will be in big-endian format.

FUNCTION PARAMETERS

dst the stream to which data will be written.

value
    the data to be written, in native format.

RETURN VALUE
for more information.

THREAD SAFETY
This function is not thread safe.

AVAILABILITY
This function is available since SDL 3.2.0.